/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  DeadFTP
 *  Copyright (C) 2000-2001 Brandon Lees
 */

#ifndef	_CLIPBOARD_H_DEAD_
#define	_CLIPBOARD_H_DEAD_

extern char clipboard_text[REGULAR_BUFFER];
extern char selection_text[REGULAR_BUFFER];
extern int have_clipboard, have_selection;
extern int clipboard_next_convert;

void init_clipboard_monitor(void);
int parse_url(char *curl, char *proto, int proto_len, char *username,
	      int username_len, char *password, int password_len, char *hostname,
	      int hostname_len, int *port, char *dir, int dir_len, char *file,
	      int file_len);

enum {
  TARGET_STRING,
  TARGET_TEXT,
  TARGET_COMPOUND_TEXT,
  TARGET_URL,
};

#endif /* CLIPBOARD_H_DEAD */
